OSX 10.11 java 6不兼容怎么办?苹果MAC 10.11不兼容

页面导航:首页 > 操作系统 > 苹果MAC > OSX 10.11 java 6不兼容怎么办?苹果MAC 10.11不兼容

OSX 10.11 java 6不兼容怎么办?苹果MAC 10.11不兼容

来源: 作者: 时间:2015-11-30 16:47 【

有很多用户在使用最新的OSX 10.11系统时会发现java SE 6不兼容的问题,那么,这个问题应该如何解决呢?针对此问题,本文就为大家详细介绍苹果MAC 10.11不兼容java 6情况的解决办法
有很多用户在使用最新的OSX 10.11系统时会发现java SE 6不兼容的问题,那么,这个问题应该如何解决呢?针对此问题,本文就为大家详细介绍苹果MAC 10.11不兼容java 6情况的解决办法

OSX 10.11 java 6不兼容怎么办?有很多用户在使用最新的OSX 10.11系统时会发现java SE 6不兼容的问题,其实要解决 这个问题比较简单,用户需要下载安装最新的Java SE 8就能完美的解决这个问题,下面脚本之家小编详细的为大家解说一下具体的解决办法。

第一步:验证版本

打开终端,然后使用如下命令来查看,如果你的结果和我这里的差不多,那说明已经安装好了。

╰─➤ java -version

java version "1.8.0_45"

Java(TM) SE Runtime Environment (build 1.8.0_45-b14)

Java HotSpot(TM) 64-Bit Server VM (build 25.45-b02, mixed mode)

第二步:修改配置文件

找到如下路径的文件,修改之。(需要管理员权限):请注意看目录,没有 System!不是 System 里的 Library!

sudo vim /Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Info.plist

//找到如下字段

<key>JVMCapabilities</key>

<array>

<string>CommandLine</string>

</array>

//修改成这样:

<key>JVMCapabilities</key>

<array>

<string>CommandLine</string>

<string>JNI</string>

<string>BundledApp</string>

</array>

创建链接:由于 EL Capitan 有一个新的叫做“RootLess”功能,所以我们只能够一级一级的创建目录,按照如下目录依次进入,如果不存在则创建:

cd /Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Home

sudo mkdir bundle

cd bundle

sudo mkdir Libraries

然后使用如下命令来创建链接(这是一条命令)

sudo ln -s /Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Home/jre/lib/server/libjvm.dylib /Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Home/bundle/Libraries/libserver.dylib

创建两个空目录:按照上边的方法,我们还需要一级一级的创建两个空目录:

/System/Library/Java/JavaVirtualMachines/1.6.0.jdk

/System/Library/Java/Support/Deploy.bundle

//为了绕过那个苦逼的 rootless,一级一级的创建才行,懒得关闭了。

cd /System/Library/Java/JavaVirtualMachines

sudo mkdir 1.6.0.jdk

cd ..

sudo mkdir Support

cd Support

sudo mkdir Deploy.bundle

重启系统:这时候,你还需要最后一步,由于10.11 这时候的重启会变成关机,我们使用命令行来重启,虽然会卡住一下,但却是能够重启……

sudo shutdown -r now

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<